diff -uwrbN exiv2-0.10/debian/changelog exiv2-0.10.new/debian/changelog
--- exiv2-0.10/debian/changelog	2006-09-09 14:04:34.000000000 +0200
+++ exiv2-0.10.new/debian/changelog	2006-09-09 14:07:00.000000000 +0200
@@ -1,3 +1,18 @@
+exiv2 (0.10-1.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Medium-urgency upload for RC bugfix.
+  * Change package name from libexiv2 to libexiv2-0.10 to encode the full
+    SONAME as well as for the C++ mt allocator ABI change, and conflict/replace
+    libexiv2 accordingly.  Closes: #339163, #382867.
+  * Remove unnecessary libexiv2.{postinst,postrm} scripts, as they don't do
+    anything that debhelper doesn't already do for us.
+  * replace shlibs.local by dh_makeshlibs -V
+  * make package bin-NMU-able by using ${binary:Version} and B-D on dpkg-dev
+    (>= 1.13.19)
+
+ -- David Schmitt <david@schmitt.edv-bus.at>  Sat,  9 Sep 2006 13:51:51 +0200
+
 exiv2 (0.10-1) unstable; urgency=low
 
   * New Upstream Release. (Fixes: #370151)
diff -uwrbN exiv2-0.10/debian/control exiv2-0.10.new/debian/control
--- exiv2-0.10/debian/control	2006-09-09 14:04:34.000000000 +0200
+++ exiv2-0.10.new/debian/control	2006-09-09 13:16:53.000000000 +0200
@@ -2,13 +2,13 @@
 Section: graphics
 Priority: optional
 Maintainer: KELEMEN Peter <fuji@debian.org>
-Build-Depends: debhelper (>= 4.0.0), g++ (>= 4.0.0), autotools-dev, chrpath
+Build-Depends: debhelper (>= 4.0.0), g++ (>= 4.0.0), autotools-dev, chrpath, dpkg-dev (>= 1.13.19)
 Standards-Version: 3.7.2
 
 Package: exiv2
 Section: graphics
 Architecture: any
-Depends: libexiv2 (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: EXIF/IPTC metadata manipulation tool
  Exiv2 can:
   * print the EXIF metadata of JPEG images as summary info, interpreted values,
@@ -23,7 +23,7 @@
   * extract the thumbnail image embedded in the EXIF metadata
   * delete the thumbnail or the complete EXIF metadata from an image
 
-Package: libexiv2
+Package: libexiv2-0.10
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -48,7 +48,7 @@
 Package: libexiv2-dev
 Section: libdevel
 Architecture: any
-Depends: libexiv2 (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libexiv2-0.10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: libexiv2-doc
 Description: EXIF/IPTC metadata manipulation library - development files
  Exiv2 C++ header files.
@@ -56,6 +56,6 @@
 Package: libexiv2-doc
 Section: doc
 Architecture: all
-Depends: libexiv2 (= ${Source-Version})
+Suggests: libexiv2-0.10
 Description: EXIF/IPTC metadata manipulation library - HTML documentation
  Exiv2 HTML documentation.
diff -uwrbN exiv2-0.10/debian/libexiv2.postinst exiv2-0.10.new/debian/libexiv2.postinst
--- exiv2-0.10/debian/libexiv2.postinst	2006-09-09 14:04:34.000000000 +0200
+++ exiv2-0.10.new/debian/libexiv2.postinst	1970-01-01 01:00:00.000000000 +0100
@@ -1,42 +0,0 @@
-#! /bin/sh
-# postinst script for exiv2
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <postinst> `configure' <most-recently-configured-version>
-#        * <old-postinst> `abort-upgrade' <new version>
-#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-#          <new-version>
-#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-#          <failed-install-package> <version> `removing'
-#          <conflicting-package> <version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-#
-
-case "$1" in
-    configure)
-    	:
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
-
-
diff -uwrbN exiv2-0.10/debian/libexiv2.postrm exiv2-0.10.new/debian/libexiv2.postrm
--- exiv2-0.10/debian/libexiv2.postrm	2006-09-09 14:04:34.000000000 +0200
+++ exiv2-0.10.new/debian/libexiv2.postrm	1970-01-01 01:00:00.000000000 +0100
@@ -1,36 +0,0 @@
-#! /bin/sh
-# postrm script for exiv2
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <postrm> `remove'
-#        * <postrm> `purge'
-#        * <old-postrm> `upgrade' <new-version>
-#        * <new-postrm> `failed-upgrade' <old-version>
-#        * <new-postrm> `abort-install'
-#        * <new-postrm> `abort-install' <old-version>
-#        * <new-postrm> `abort-upgrade' <old-version>
-#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-	purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-		:
-	;;
-
-    *)
-        echo "postrm called with unknown argument \`$1'" >&2
-        exit 1
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
diff -uwrbN exiv2-0.10/debian/rules exiv2-0.10.new/debian/rules
--- exiv2-0.10/debian/rules	2006-09-09 14:04:34.000000000 +0200
+++ exiv2-0.10.new/debian/rules	2006-09-09 13:48:39.000000000 +0200
@@ -72,7 +72,7 @@
 	dh_testdir
 	dh_testroot
 # package libexiv2
-	dh_movefiles -plibexiv2			\
+	dh_movefiles -plibexiv2-0.10		\
 		usr/lib/libexiv2-0.10.so	\
 		usr/lib/libexiv2.so		\
 		usr/lib/libexiv2.la
@@ -87,7 +87,7 @@
 	dh_installchangelogs 
 # docs in package libexiv2-doc but in /usr/share/doc/libexiv2/
 	dh_installdocs
-	dh_installdocs -plibexiv2 -Pdebian/libexiv2-doc -Xcmd.txt -XMakefile -Xtemplates -Xcopyright $(CURDIR)/doc/*
+	dh_installdocs -plibexiv2-0.10 -Pdebian/libexiv2-doc -Xcmd.txt -XMakefile -Xtemplates -Xcopyright $(CURDIR)/doc/*
 # cmd.txt goes as example
 	dh_installexamples -pexiv2 $(CURDIR)/doc/cmd.txt
 #	dh_install
@@ -107,7 +107,7 @@
 	dh_fixperms
 #	dh_perl
 #	dh_python
-	dh_makeshlibs
+	dh_makeshlibs -V'libexiv2-0.10 (=$${binary:Version})'
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
diff -uwrbN exiv2-0.10/debian/shlibs.local exiv2-0.10.new/debian/shlibs.local
--- exiv2-0.10/debian/shlibs.local	2006-09-09 14:04:34.000000000 +0200
+++ exiv2-0.10.new/debian/shlibs.local	1970-01-01 01:00:00.000000000 +0100
@@ -1 +0,0 @@
-libexiv2 0.7 libexiv2 (= ${Source-Version})
